﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using WAF.Server;
using System.Diagnostics;

namespace PerformanceTests
{
    class Program
    {
        static void Main(string[] args)
        {
            if (Debugger.IsAttached)
            {
                Console.WriteLine("Debugger is attached - performance can't be measured !!!");
                Console.WriteLine("Iterations are set to low values, use Ctrl-F5 to run without Debugger");
            }
            Console.WriteLine();

            PerformanceTestBase test;
            /*
            Console.WriteLine("NULL Performance Test");
            test = new PerformanceTestNull();
            test.RunTest();

            Console.WriteLine("NoIPC Performance Test");
            test = new PerformanceTestNoIpc();
            test.RunTest();
            */
            Console.WriteLine("IPC Performance Test");
            test = new PerformanceTestWcf(false);
            Console.WriteLine("IPC Performance Test running");
            test.RunTest();
            Console.WriteLine();
            Console.WriteLine("Performance Tests finished, press 's' to stop and exit");
            while (Console.ReadKey().KeyChar != 's') { }

        }

    }
}
