﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;


namespace WAF.Server.Ipc
{
    [ServiceContract(CallbackContract = typeof(IAppServerIpcCallbackContract), SessionMode = SessionMode.Allowed)]
    public interface IAppServerIpcContract
    {
        [OperationContract(IsOneWay = false)]
        void AddServer(Guid WebServerID);

        [OperationContract(IsOneWay = false)]
        void RemoveServer(Guid WebServerID);

        [OperationContract(IsOneWay = true)]
        void ProcessRequest(ContentRequest request);

    }
}
