﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using WAF.Server.Ipc;

namespace WAF.Server.Content
{
    public class ContentGeneratorFactoryBase : IContentGeneratorFactory
    {
        public virtual bool CanProcessRequest(ContentRequest request)
        {
            throw new NotImplementedException();
        }

        public virtual IContentGenerator Create(ContentRequest request)
        {
            throw new NotImplementedException();
        }
    }
}
