﻿// <copyright file="RequestState.cs" company="Maierhofer Software">
//      Copyright (c) 2010 by Maierhofer Software. All rights reserved.
// </copyright>

namespace WAF.Server
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
using System.Threading;

    /// <summary>
    /// Stores the native state of a request to provide it to the response.
    /// </summary>
    internal class RequestState
    {
        /// <summary>
        /// The thread initialising the request
        /// </summary>
        public Thread BlockedThread { get; set;}

        /// <summary>
        /// The native context data
        /// </summary>
        public object NatveContext {get; set;}
    }
}
