﻿//  <copyright file="WebServerCore.cs" company="Maierhofer Software">
//      Copyright (c) 2010 by Maierhofer Software. All rights reserved.
// </copyright>

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using System.Runtime.Serialization;

namespace WAF.Server.Ipc
{
 
    [DataContract]
    [KnownType(typeof(ContentKey))]
    public class ContentRequest
    {
        [DataMember]
        public ContentKey Key;

        [DataMember]
        public Uri Url;

        [DataMember]
        public byte[] SessionId;

        [DataMember]
        public Dictionary<string, string> Headers;

        [DataMember]
        public Dictionary<string, string > Cookies;

        public override string ToString()
        {
            return "ContentRequest: " + Url + " " + Key;
        }

    }
}
