﻿//  <copyright file="WebServerCore.cs" company="Maierhofer Software">
//      Copyright (c) 2010 by Maierhofer Software. All rights reserved.
// </copyright>

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;

namespace WAF.Server.Ipc
{
    [DataContract]
    [KnownType(typeof(ContentKey))]
    public class ContentResponse
    {
        [DataMember]
        public ContentKey Key;

        [DataMember]
        public int StatusCode;

        [DataMember]
        public byte[] SessionId;

        [DataMember]
        public bool SessionIdNew;

        [DataMember]
        public Dictionary<string, string> Headers;
        
        [DataMember]
        public byte[] Content;
    }
}
